## r8125 9.007.01

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
################################################################################
#
# r8125 is the Linux device driver released for Realtek 2.5Gigabit Ethernet
# controllers with PCI-Express interface.
#
# Copyright(c) 2021 Realtek Semiconductor Corp. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, see <http://www.gnu.org/licenses/>.
#
# Author:
# Realtek NIC software team <nicfae@realtek.com>
# No. 2, Innovation Road II, Hsinchu Science Park, Hsinchu 300, Taiwan
#
################################################################################

################################################################################
#  This product is covered by one or more of the following patents:
#  US6,570,884, US6,115,776, and US6,327,625.
################################################################################

KFLAG := 2$(shell uname -r | sed -ne 's/^2\.[4]\..*/4/p')x

all: clean modules install

modules:
ifeq ($(KFLAG),24x)
	$(MAKE) -C src/ -f Makefile_linux24x modules
else
	$(MAKE) -C src/ modules
endif

clean:
ifeq ($(KFLAG),24x)
	$(MAKE) -C src/ -f Makefile_linux24x clean
else
	$(MAKE) -C src/ clean
endif

install:
ifeq ($(KFLAG),24x)
	$(MAKE) -C src/ -f Makefile_linux24x install
else
	$(MAKE) -C src/ install
endif

=== src/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
################################################################################
#
# r8125 is the Linux device driver released for Realtek 2.5Gigabit Ethernet
# controllers with PCI-Express interface.
#
# Copyright(c) 2021 Realtek Semiconductor Corp. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, see <http://www.gnu.org/licenses/>.
#
# Author:
# Realtek NIC software team <nicfae@realtek.com>
# No. 2, Innovation Road II, Hsinchu Science Park, Hsinchu 300, Taiwan
#
################################################################################

################################################################################
#  This product is covered by one or more of the following patents:
#  US6,570,884, US6,115,776, and US6,327,625.
################################################################################

CONFIG_SOC_LAN = n
ENABLE_REALWOW_SUPPORT = n
ENABLE_DASH_SUPPORT = n
ENABLE_DASH_PRINTER_SUPPORT = n
CONFIG_DOWN_SPEED_100 = n
CONFIG_ASPM = y
ENABLE_S5WOL = y
ENABLE_S5_KEEP_CURR_MAC = n
ENABLE_EEE = y
ENABLE_S0_MAGIC_PACKET = n
ENABLE_TX_NO_CLOSE = y
ENABLE_MULTIPLE_TX_QUEUE = n
ENABLE_PTP_SUPPORT = n
ENABLE_PTP_MASTER_MODE = n
ENABLE_RSS_SUPPORT = n
ENABLE_LIB_SUPPORT = n
ENABLE_USE_FIRMWARE_FILE = n
DISABLE_PM_SUPPORT = n
DISABLE_MULTI_MSIX_VECTOR = n

ifneq ($(KERNELRELEASE),)
	obj-m := r8125.o
	r8125-objs := r8125_n.o rtl_eeprom.o rtltool.o
	ifeq ($(CONFIG_SOC_LAN), y)
		EXTRA_CFLAGS += -DCONFIG_SOC_LAN
	endif
	ifeq ($(ENABLE_REALWOW_SUPPORT), y)
		r8125-objs += r8125_realwow.o
		EXTRA_CFLAGS += -DENABLE_REALWOW_SUPPORT
	endif
	ifeq ($(ENABLE_DASH_SUPPORT), y)
		r8125-objs += r8125_dash.o
		EXTRA_CFLAGS += -DENABLE_DASH_SUPPORT
	endif
	ifeq ($(ENABLE_DASH_PRINTER_SUPPORT), y)
		r8125-objs += r8125_dash.o
		EXTRA_CFLAGS += -DENABLE_DASH_SUPPORT -DENABLE_DASH_PRINTER_SUPPORT
	endif
	EXTRA_CFLAGS += -DCONFIG_R8125_NAPI
	EXTRA_CFLAGS += -DCONFIG_R8125_VLAN
	ifeq ($(CONFIG_DOWN_SPEED_100), y)
		EXTRA_CFLAGS += -DCONFIG_DOWN_SPEED_100
	endif
	ifeq ($(CONFIG_ASPM), y)
		EXTRA_CFLAGS += -DCONFIG_ASPM
	endif
	ifeq ($(ENABLE_S5WOL), y)
		EXTRA_CFLAGS += -DENABLE_S5WOL
	endif
	ifeq ($(ENABLE_S5_KEEP_CURR_MAC), y)
		EXTRA_CFLAGS += -DENABLE_S5_KEEP_CURR_MAC
	endif
	ifeq ($(ENABLE_EEE), y)
		EXTRA_CFLAGS += -DENABLE_EEE
	endif
	ifeq ($(ENABLE_S0_MAGIC_PACKET), y)
		EXTRA_CFLAGS += -DENABLE_S0_MAGIC_PACKET
	endif
	ifeq ($(ENABLE_TX_NO_CLOSE), y)
		EXTRA_CFLAGS += -DENABLE_TX_NO_CLOSE
	endif
	ifeq ($(ENABLE_MULTIPLE_TX_QUEUE), y)
		EXTRA_CFLAGS += -DENABLE_MULTIPLE_TX_QUEUE
	endif
	ifeq ($(ENABLE_PTP_SUPPORT), y)
		r8125-objs += r8125_ptp.o
		EXTRA_CFLAGS += -DENABLE_PTP_SUPPORT
	endif
	ifeq ($(ENABLE_PTP_MASTER_MODE), y)
		EXTRA_CFLAGS += -DENABLE_PTP_MASTER_MODE
	endif
	ifeq ($(ENABLE_RSS_SUPPORT), y)
		r8125-objs += r8125_rss.o
		EXTRA_CFLAGS += -DENABLE_RSS_SUPPORT
	endif
	ifeq ($(ENABLE_LIB_SUPPORT), y)
		r8125-objs += r8125_lib.o
		EXTRA_CFLAGS += -DENABLE_LIB_SUPPORT
	endif
	ifeq ($(ENABLE_USE_FIRMWARE_FILE), y)
		r8125-objs += r8125_firmware.o
		EXTRA_CFLAGS += -DENABLE_USE_FIRMWARE_FILE
	endif
	ifeq ($(DISABLE_PM_SUPPORT), y)
		EXTRA_CFLAGS += -DDISABLE_PM_SUPPORT
	endif
	ifeq ($(DISABLE_MULTI_MSIX_VECTOR), y)
		EXTRA_CFLAGS += -DDISABLE_MULTI_MSIX_VECTOR
	endif
else
	BASEDIR := /lib/modules/$(shell uname -r)
	KERNELDIR ?= $(BASEDIR)/build
	PWD :=$(shell pwd)
	DRIVERDIR := $(shell find $(BASEDIR)/kernel/drivers/net/ethernet -name realtek -type d)
	ifeq ($(DRIVERDIR),)
		DRIVERDIR := $(shell find $(BASEDIR)/kernel/drivers/net -name realtek -type d)
	endif
	ifeq ($(DRIVERDIR),)
		DRIVERDIR := $(BASEDIR)/kernel/drivers/net
	endif
	RTKDIR := $(subst $(BASEDIR)/,,$(DRIVERDIR))

	KERNEL_GCC_VERSION := $(shell cat /proc/version | sed -n 's/.*gcc version \([[:digit:]]\.[[:digit:]]\.[[:digit:]]\).*/\1/p')
	CCVERSION = $(shell $(CC) -dumpversion)

	KVER = $(shell uname -r)
	KMAJ = $(shell echo $(KVER) | \
	sed -e 's/^\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*.*/\1/')
	KMIN = $(shell echo $(KVER) | \
	sed -e 's/^[0-9][0-9]*\.\([0-9][0-9]*\)\.[0-9][0-9]*.*/\1/')
	KREV = $(shell echo $(KVER) | \
	sed -e 's/^[0-9][0-9]*\.[0-9][0-9]*\.\([0-9][0-9]*\).*/\1/')

	kver_ge = $(shell \
	echo test | awk '{if($(KMAJ) < $(1)) {print 0} else { \
	if($(KMAJ) > $(1)) {print 1} else { \
	if($(KMIN) < $(2)) {print 0} else { \
	if($(KMIN) > $(2)) {print 1} else { \
	if($(KREV) < $(3)) {print 0} else { print 1 } \
	}}}}}' \
	)

.PHONY: all
all: print_vars clean modules install

print_vars:
	@echo
	@echo "CC: " $(CC)
	@echo "CCVERSION: " $(CCVERSION)
	@echo "KERNEL_GCC_VERSION: " $(KERNEL_GCC_VERSION)
	@echo "KVER: " $(KVER)
	@echo "KMAJ: " $(KMAJ)
	@echo "KMIN: " $(KMIN)
	@echo "KREV: " $(KREV)
	@echo "BASEDIR: " $(BASEDIR)
	@echo "DRIVERDIR: " $(DRIVERDIR)
	@echo "PWD: " $(PWD)
	@echo "RTKDIR: " $(RTKDIR)
	@echo

.PHONY:modules
modules:
#ifeq ($(call kver_ge,5,0,0),1)
	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules
#else
#	$(MAKE) -C $(KERNELDIR) SUBDIRS=$(PWD) modules
#endif

.PHONY:clean
clean:
#ifeq ($(call kver_ge,5,0,0),1)
	$(MAKE) -C $(KERNELDIR) M=$(PWD) clean
#else
#	$(MAKE) -C $(KERNELDIR) SUBDIRS=$(PWD) clean
#endif

.PHONY:install
install:
#ifeq ($(call kver_ge,5,0,0),1)
	$(MAKE) -C $(KERNELDIR) M=$(PWD) INSTALL_MOD_DIR=$(RTKDIR) modules_install
#else
#	$(MAKE) -C $(KERNELDIR) SUBDIRS=$(PWD) INSTALL_MOD_DIR=$(RTKDIR) modules_install
#endif

endif

=== debian/changelog ===
r8125 (9.007.01-3ubuntu0.3) jammy; urgency=medium

  * Fix FTBFS with linux-hwe-6.8 (LP: #2073479) 

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 18 Jul 2024 09:18:43 +0000

r8125 (9.007.01-3ubuntu0.2) jammy; urgency=medium

  * Support Linux 6.2 (LP: #2023620):
    - debian/patches/linux6.1.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 13 Jun 2023 07:11:09 +0000

r8125 (9.007.01-3ubuntu0.1) jammy; urgency=medium

  * Support linux >= 5.18 (LP: #1981993):
    - debian/patches/0001-support-linux-5.19.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 18 Jan 2023 08:04:11 +0000

r8125 (9.007.01-3) unstable; urgency=medium

  * Let's put this to generate binary package, second try.
  * Trim trailing whitespace. 

 -- Hideki Yamane <henrich@debian.org>  Sun, 20 Feb 2022 14:39:40 +0900

r8125 (9.007.01-2) unstable; urgency=medium

  * Upload to unstable

 -- Hideki Yamane <henrich@debian.org>  Sun, 13 Feb 2022 09:23:07 +0900

r8125 (9.007.01-1) experimental; urgency=medium

  * Initial release (Closes: #1002611)
    - Mostly taken from r8168 package.

 -- Hideki Yamane <henrich@debian.org>  Fri, 24 Dec 2021 17:44:11 +0900

=== debian/control ===
Source: r8125
Section: non-free/kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hideki Yamane <henrich@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-dkms,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://www.realtek.com/en/component/zoo/category/network-interface-controllers-10-100-1000m-gigabit-ethernet-pci-express-software
Vcs-Browser: https://salsa.debian.org/debian/r8125
Vcs-Git: https://salsa.debian.org/debian/r8125.git
XS-Autobuild: yes
Testsuite: autopkgtest-pkg-dkms

Package: r8125-dkms
Architecture: all
Depends: ${misc:Depends}
Description: dkms source for the r8125 network driver
 r8125 is the Linux 2.5G Ethernet device driver released by RealTek for their
 network controller.
 .
 This package provides the dkms source code for the r8125 kernel modules.
 Kernel source or headers are required to compile these modules.

=== debian/watch ===
version=4

# The upstream download page at
# https://www.realtek.com/en/component/zoo/category/network-interface-controllers-10-100-1000m-gigabit-ethernet-pci-express-software
# does not offer direct download links but rather redirects via hashes
# and mandatory email registration to a temporary download location.
# Therefore we can only parse the version number from the upstream
# download page.

opts=searchmode=plain \
https://www.realtek.com/en/component/zoo/category/network-interface-controllers-10-100-1000m-gigabit-ethernet-pci-express-software \
2\.5G.Ethernet.LINUX.driver.r8125[^<]*</td>[^\d]*([\d\.]+)[^<]*</td>

## r8125 9.009.02

=== debian/changelog ===
r8125 (9.009.02-1) unstable; urgency=medium

  * New upstream release 9.009.02
    - Support Linux Kernel 5.19

 -- Hideki Yamane <henrich@debian.org>  Sat, 24 Sep 2022 15:27:55 +0900

r8125 (9.009.01-1) unstable; urgency=medium

  * New upstream version 9.009.01
    - Built with Linux Kernel 5.17 (Closes: #1012014)
  * debian/control
    - Set Standards-Version: 4.6.1 with no changes

 -- Hideki Yamane <henrich@debian.org>  Fri, 10 Jun 2022 23:01:51 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: r8125
 Section: non-free/kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hideki Yamane <henrich@debian.org>
+Maintainer: Hideki Yamane <henrich@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-dkms,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.realtek.com/en/component/zoo/category/network-interface-controllers-10-100-1000m-gigabit-ethernet-pci-express-software
 Vcs-Browser: https://salsa.debian.org/debian/r8125
 Vcs-Git: https://salsa.debian.org/debian/r8125.git

## r8125 9.011.00

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # r8125 is the Linux device driver released for Realtek 2.5Gigabit Ethernet
 # controllers with PCI-Express interface.
 #
-# Copyright(c) 2021 Realtek Semiconductor Corp. All rights reserved.
+# Copyright(c) 2022 Realtek Semiconductor Corp. All rights reserved.
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the Free

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # r8125 is the Linux device driver released for Realtek 2.5Gigabit Ethernet
 # controllers with PCI-Express interface.
 #
-# Copyright(c) 2021 Realtek Semiconductor Corp. All rights reserved.
+# Copyright(c) 2022 Realtek Semiconductor Corp. All rights reserved.
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the Free
@@ -49,6 +49,9 @@
 ENABLE_USE_FIRMWARE_FILE = n
 DISABLE_PM_SUPPORT = n
 DISABLE_MULTI_MSIX_VECTOR = n
+ENABLE_DOUBLE_VLAN = n
+ENABLE_PAGE_REUSE = n
+ENABLE_RX_PACKET_FRAGMENT = n
 
 ifneq ($(KERNELRELEASE),)
 	obj-m := r8125.o
@@ -118,6 +121,15 @@
 	endif
 	ifeq ($(DISABLE_MULTI_MSIX_VECTOR), y)
 		EXTRA_CFLAGS += -DDISABLE_MULTI_MSIX_VECTOR
+	endif
+	ifeq ($(ENABLE_DOUBLE_VLAN), y)
+		EXTRA_CFLAGS += -DENABLE_DOUBLE_VLAN
+	endif
+	ifeq ($(ENABLE_PAGE_REUSE), y)
+		EXTRA_CFLAGS += -DENABLE_PAGE_REUSE
+	endif
+	ifeq ($(ENABLE_RX_PACKET_FRAGMENT), y)
+		EXTRA_CFLAGS += -DENABLE_RX_PACKET_FRAGMENT
 	endif
 else
 	BASEDIR := /lib/modules/$(shell uname -r)

=== debian/changelog ===
r8125 (9.011.00-4ubuntu1) noble; urgency=medium

  * Linux 6.8 FTBFS fix (LP: #2059256)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 27 Mar 2024 13:15:53 +0000

r8125 (9.011.00-4) unstable; urgency=medium

  * debian/patches
    - Update "Forwarded:" line

 -- Hideki Yamane <henrich@debian.org>  Sat, 11 Mar 2023 20:17:33 +0900

r8125 (9.011.00-3) unstable; urgency=medium

  * debian/changelog
    - Add missing entry for 9.011.00-1

 -- Hideki Yamane <henrich@debian.org>  Tue, 31 Jan 2023 14:47:35 +0900

r8125 (9.011.00-2) unstable; urgency=medium

  * debian/copyright
    - Update copyright year
  * debian/r8125-dkms.dkms
    - Drop obsolete REMAKE_INITRD option

 -- Hideki Yamane <henrich@debian.org>  Sun, 29 Jan 2023 00:50:15 +0900

r8125 (9.011.00-1) unstable; urgency=medium

  * New upstream release 9.011.00
  * debian/patchees
    - Add linux6.1.patch to avoid build failure with Linux > 6.1

 -- Hideki Yamane <henrich@debian.org>  Fri, 27 Jan 2023 21:04:54 +0900

r8125 (9.010.01-1) unstable; urgency=medium

  * New upstream release 9.010.01 

 -- Hideki Yamane <henrich@debian.org>  Sat, 17 Dec 2022 21:45:03 +0900

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_install:
	dh_install src/*.h src/*.c src/Makefile usr/src/r8125-$(DEB_VERSION_UPSTREAM)/
	find debian/r8125-dkms/usr/src -type f -perm -5 -print0 2>/dev/null | xargs -0r chmod a-X

override_dh_dkms:
	dh_dkms -V $(DEB_VERSION_UPSTREAM)

# do nothing
override_dh_auto_configure override_dh_auto_build override_dh_auto_test override_dh_auto_install override_dh_auto_clean:

## r8125 9.013.02

=== debian/changelog ===
r8125 (9.013.02-1parrot1) lory; urgency=medium

  * Import new release

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 21 Jul 2024 01:43:34 +0200

r8125 (9.013.02-1) unstable; urgency=medium

  * New upstream release 9.013.02.  (Closes: #1071559)
  * Update Homepage and watch file.
  * Backport support for Linux 6.9 from r8168.
  * Set BUILD_EXCLUSIVE_CONFIG="CONFIG_PCI".
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Synchronize with r8168.
  * Add myself to Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 30 Jun 2024 11:56:08 +0200

## r8125 9.014.01

=== src/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # SPDX-License-Identifier: GPL-2.0-only
 ################################################################################
 #
-# r8125 is the Linux device driver released for Realtek 2.5Gigabit Ethernet
+# r8125 is the Linux device driver released for Realtek 2.5 Gigabit Ethernet
 # controllers with PCI-Express interface.
 #
-# Copyright(c) 2022 Realtek Semiconductor Corp. All rights reserved.
+# Copyright(c) 2024 Realtek Semiconductor Corp. All rights reserved.
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the Free
@@ -31,6 +31,7 @@
 ################################################################################
 
 CONFIG_SOC_LAN = n
+ENABLE_FIBER_SUPPORT = n
 ENABLE_REALWOW_SUPPORT = n
 ENABLE_DASH_SUPPORT = n
 ENABLE_DASH_PRINTER_SUPPORT = n
@@ -47,7 +48,7 @@
 ENABLE_RSS_SUPPORT = n
 ENABLE_LIB_SUPPORT = n
 ENABLE_USE_FIRMWARE_FILE = n
-DISABLE_PM_SUPPORT = n
+DISABLE_WOL_SUPPORT = n
 DISABLE_MULTI_MSIX_VECTOR = n
 ENABLE_DOUBLE_VLAN = n
 ENABLE_PAGE_REUSE = n
@@ -59,6 +60,10 @@
 	ifeq ($(CONFIG_SOC_LAN), y)
 		EXTRA_CFLAGS += -DCONFIG_SOC_LAN
 	endif
+	ifeq ($(ENABLE_FIBER_SUPPORT), y)
+		r8125-objs += r8125_fiber.o
+		EXTRA_CFLAGS += -DENABLE_FIBER_SUPPORT
+	endif
 	ifeq ($(ENABLE_REALWOW_SUPPORT), y)
 		r8125-objs += r8125_realwow.o
 		EXTRA_CFLAGS += -DENABLE_REALWOW_SUPPORT
@@ -116,8 +121,8 @@
 		r8125-objs += r8125_firmware.o
 		EXTRA_CFLAGS += -DENABLE_USE_FIRMWARE_FILE
 	endif
-	ifeq ($(DISABLE_PM_SUPPORT), y)
-		EXTRA_CFLAGS += -DDISABLE_PM_SUPPORT
+	ifeq ($(DISABLE_WOL_SUPPORT), y)
+		EXTRA_CFLAGS += -DDISABLE_WOL_SUPPORT
 	endif
 	ifeq ($(DISABLE_MULTI_MSIX_VECTOR), y)
 		EXTRA_CFLAGS += -DDISABLE_MULTI_MSIX_VECTOR

=== debian/changelog ===
r8125 (9.014.01-1~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 26 Jan 2025 07:48:52 -0800

r8125 (9.014.01-1) unstable; urgency=medium

  * New upstream release 9.014.01.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Dec 2024 03:51:26 +0100

=== debian/control ===
Source: r8125
Section: non-free/kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Hideki Yamane <henrich@debian.org>
Uploaders: Andreas Beckmann <anbe@debian.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://www.realtek.com/Download/List?cate_id=584
Vcs-Browser: https://salsa.debian.org/debian/r8125
Vcs-Git: https://salsa.debian.org/debian/r8125.git
XS-Autobuild: yes
Testsuite: autopkgtest-pkg-dkms

Package: r8125-dkms
Architecture: all
Depends: ${misc:Depends}
Description: dkms source for the r8125 network driver
 r8125 is the Linux device driver released by RealTek for their network
 controllers with PCI-Express interface:
  * 2.5G Gigabit Ethernet:  RTL8125, RTL8125B(G)
 .
 This package provides the dkms source code for the r8125 kernel module.
 Kernel source or headers are required to compile the module.

## r8125 9.015.00

=== src/Makefile ===
--- 
+++ 
@@ -30,8 +30,8 @@
 #  US6,570,884, US6,115,776, and US6,327,625.
 ################################################################################
 
-CONFIG_SOC_LAN = n
-ENABLE_FIBER_SUPPORT = n
+CONFIG_SOC_LAN = y
+ENABLE_FIBER_SUPPORT = y
 ENABLE_REALWOW_SUPPORT = n
 ENABLE_DASH_SUPPORT = n
 ENABLE_DASH_PRINTER_SUPPORT = n
@@ -53,6 +53,7 @@
 ENABLE_DOUBLE_VLAN = n
 ENABLE_PAGE_REUSE = n
 ENABLE_RX_PACKET_FRAGMENT = n
+ENABLE_GIGA_LITE = y
 
 ifneq ($(KERNELRELEASE),)
 	obj-m := r8125.o
@@ -135,6 +136,9 @@
 	endif
 	ifeq ($(ENABLE_RX_PACKET_FRAGMENT), y)
 		EXTRA_CFLAGS += -DENABLE_RX_PACKET_FRAGMENT
+	endif
+	ifeq ($(ENABLE_GIGA_LITE), y)
+		EXTRA_CFLAGS += -DENABLE_GIGA_LITE
 	endif
 else
 	BASEDIR := /lib/modules/$(shell uname -r)

=== debian/changelog ===
r8125 (9.015.00-1) unstable; urgency=medium

  * New upstream release 9.015.00.
  * Set BUILD_EXCLUSIVE_KERNEL_MIN="4.9.36".
  * Bump Standards-Version to 4.7.1, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Feb 2025 00:50:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: r8125
 Section: non-free/kernel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Hideki Yamane <henrich@debian.org>
-Uploaders: Andreas Beckmann <anbe@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
+Maintainer: Hideki Yamane <henrich@debian.org>
+Uploaders:
+ Andreas Beckmann <anbe@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-dkms,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://www.realtek.com/Download/List?cate_id=584
 Vcs-Browser: https://salsa.debian.org/debian/r8125
 Vcs-Git: https://salsa.debian.org/debian/r8125.git

## r8125 9.016.00

=== debian/changelog ===
r8125 (9.016.00-1) unstable; urgency=medium

  * New upstream release 9.016.00.
  * Simplify d/rules.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Jun 2025 22:55:46 +0200

## r8125 9.016.01

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # r8125 is the Linux device driver released for Realtek 2.5 Gigabit Ethernet
 # controllers with PCI-Express interface.
 #
-# Copyright(c) 2024 Realtek Semiconductor Corp. All rights reserved.
+# Copyright(c) 2025 Realtek Semiconductor Corp. All rights reserved.
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the Free
@@ -31,10 +31,9 @@
 ################################################################################
 
 CONFIG_SOC_LAN = y
-ENABLE_FIBER_SUPPORT = y
+ENABLE_FIBER_SUPPORT = n
 ENABLE_REALWOW_SUPPORT = n
 ENABLE_DASH_SUPPORT = n
-ENABLE_DASH_PRINTER_SUPPORT = n
 CONFIG_DOWN_SPEED_100 = n
 CONFIG_ASPM = y
 ENABLE_S5WOL = y
@@ -73,10 +72,6 @@
 		r8125-objs += r8125_dash.o
 		EXTRA_CFLAGS += -DENABLE_DASH_SUPPORT
 	endif
-	ifeq ($(ENABLE_DASH_PRINTER_SUPPORT), y)
-		r8125-objs += r8125_dash.o
-		EXTRA_CFLAGS += -DENABLE_DASH_SUPPORT -DENABLE_DASH_PRINTER_SUPPORT
-	endif
 	EXTRA_CFLAGS += -DCONFIG_R8125_NAPI
 	EXTRA_CFLAGS += -DCONFIG_R8125_VLAN
 	ifeq ($(CONFIG_DOWN_SPEED_100), y)
@@ -140,6 +135,9 @@
 	ifeq ($(ENABLE_GIGA_LITE), y)
 		EXTRA_CFLAGS += -DENABLE_GIGA_LITE
 	endif
+
+	# Backward compatibility
+	ccflags-y  += $(EXTRA_CFLAGS)
 else
 	BASEDIR := /lib/modules/$(shell uname -r)
 	KERNELDIR ?= $(BASEDIR)/build

=== debian/changelog ===
r8125 (9.016.01-1) unstable; urgency=medium

  * New upstream release 9.016.01.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Aug 2025 01:33:32 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  dh-sequence-dkms,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://www.realtek.com/Download/List?cate_id=584
 Vcs-Browser: https://salsa.debian.org/debian/r8125
 Vcs-Git: https://salsa.debian.org/debian/r8125.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem none

override_dh_install:
	dh_install src/*.h src/*.c src/Makefile usr/src/r8125-$(DEB_VERSION_UPSTREAM)/
	find debian/r8125-dkms/usr/src -type f -perm -5 -print0 2>/dev/null | xargs -0r chmod a-X

=== debian/watch ===
version=4

# The upstream download page at
# https://www.realtek.com/Download/List?cate_id=584
# does not offer direct download links but rather redirects after
# a captcha to a temporary download location.
# Therefore we can only parse the file name and version from the
# upstream download page.

opts=searchmode=plain \
https://www.realtek.com/Download/ListAllDownloadItem?cate_id=584 \
r8125-([\d\.]+).tar.bz2
